### Method

# Adw TabViewadd_page

#### Declaration [src]

    AdwTabPage*
    adw_tab_view_add_page (
      AdwTabView* self,
      GtkWidget* child,
      AdwTabPage* parent
    )

#### Description [src]

Adds `child` to `self` with `parent` as the parent.

This function can be used to automatically position new pages, and to select the correct page when this page is closed while being selected (see `adw_tab_view_close_page()`).

If `parent` is `NULL`, this function is equivalent to `adw_tab_view_append()`.

#### Parameters

`child`

  Type: `GtkWidget`

  A widget to add.

  The data is owned by the caller of the method.

`parent`

  Type: `AdwTabPage`

  A parent page for `child`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `AdwTabPage`

The page object representing `child`.

The returned data is owned by the instance.